Bug 436392 - error in spec file, build fails when not using standard build directories
error in spec file, build fails when not using standard build directories
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libsvm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 17:10 EST by Karsten Hopp
Modified: 2008-07-30 16:03 EDT (History)
0 users

See Also:
Fixed In Version: 2.85-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 16:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-03-06 17:10:40 EST
Description of problem:
the libsvm spec file wrongly assumes that there's always a ../SOURCES directory
and tries to copy files from there.
This fails when you run rpmbuild like this:
--define "_sourcedir $HOME/source/" or have it defined differently in your rpmrc.

Version-Release number of selected component (if applicable):
libsvm-2.85-3.fc9

  
Actual results:
+ cp ../../SOURCES/log ChangeLog
cp: cannot stat `../../SOURCES/log': No such file or directory
error: Bad exit status from /var/tmp/libsvm-2.85-3.fc9.src.rpm/rpm-tmp.33063 (%prep)


Additional info:
log and guide.pdf are already defined as Source1 and Source2, so you just need
to change the cp commands to
cp %{SOURCE1} ChangeLog
cp %{SOURCE2} .
Comment 1 Ding-Yi Chen 2008-03-10 20:15:42 EDT
cp lines in SPEC file are fixed. Thanks for pointing this out.
Comment 2 Fedora Update System 2008-03-11 04:04:43 EDT
libsvm-2.85-6.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-03-11 04:06:31 EDT
libsvm-2.85-6.fc8 has been submitted as an update for Fedora 8
Comment 4 Karsten Hopp 2008-03-11 06:41:23 EDT
looks ok now. Thanks !
Comment 5 Fedora Update System 2008-07-30 16:03:18 EDT
libsvm-2.85-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.